Gentoo und ruby 2.0

Mask ruby 2.0 for removal

Kommentieren Jan 10 2017

 

Durch Secruity und Bugs gibt es folgende Meldung auf Gentoo Systemen.

# /usr/portage/profiles/package.mask:
# Hans de Graaff <graaff@gentoo.org> (07 Dec 2016)
# Mask ruby 2.0 for removal, bug 576034

Ein einaches

emerge --sync
emerge -uUDNav @world

reicht da leider nicht.

Nach einigem hin und her hat mir folgendes eine Lösung gebracht:

emerge --unmerge ruby:2.0 racc rdoc rubygems rake json
emerge --unmerge =virtual/rubygems-10::gentoo 
emerge @preserved-rebuild -av
emerge -uUDNav @world